/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __UI_NOTEBOOK_H__
#define __UI_NOTEBOOK_H__

#define GIFTUI_TYPE_PARENT_NOTEBOOK (giftui_parent_notebook_get_type ())
#define GIFTUI_PARENT_NOTEBOOK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GIFTUI_TYPE_PARENT_NOTEBOOK, GiftuiParentNotebook))
#define GIFTUI_PARENT_NOTEBOOK_CLASS(class) (G_TYPE_CHECK_CLASS_CAST ((class), GIFTUI_TYPE_PARENT_NOTEBOOK, GiftuiParentNotebookClass))
#define GIFTUI_IS_PARENT_NOTEBOOK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GIFTUI_TYPE_PARENT_NOTEBOOK))
#define GIFTUI_IS_PARENT_NOTEBOOK_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE ((class), GIFTUI_TYPE_PARENT_NOTEBOOK))
#define GIFTUI_PARENT_NOTEBOOK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GIFTUI_TYPE_PARENT_NOTEBOOK, GiftuiParentNotebookClass))

typedef struct _GiftuiParentNotebook GiftuiParentNotebook;
typedef struct _GiftuiParentNotebookClass GiftuiParentNotebookClass;

struct _GiftuiParentNotebook
{
	GiftuiParent parent_instance;
	
	/* < private_data > */
	GtkWidget *notebook;
};

struct _GiftuiParentNotebookClass
{
	GiftuiParentClass parent_class;
};

GType giftui_parent_notebook_get_type (void);
GtkWidget *giftui_parent_notebook_new (void);

#endif
